<?php


namespace App\Http\Filters\FilterItems;


use App\Http\Filters\AbstractBasicFilter;

class PaymentStatusItemFilter extends AbstractBasicFilter
{
    public function filter($value)
    {
        return $this->builder->whereHas('payment', function ($q) use($value) {
            $q->where('status', 'like', "%{$value}%");
        });
    }
}
